import React from 'react';
import ReactDom from 'react-dom';
import { arc } from 'd3';

const width = 960;
const height = 500;
const centerX = width / 2;
const centerY = height / 2;
const strokeWidth = 10;
const eyeOffsetX = 90;
const eyeOffsetY = 90;
const eyeRadius = 50;
const mouthWidth = 10;
const mouthRadius = 160;
const eyeColor = "black";
const backgroundEyeColor = "white";

const mouthArc = arc( )
		.innerRadius( mouthRadius )
		.outerRadius( mouthRadius + mouthWidth )
		.startAngle( Math.PI / 1.5 )
		.endAngle( Math.PI * 4 / 3 );

const App = ( ) => 
(
  <svg width = { width } height = { height }>
    <g transform = { `translate( ${ centerX }, ${ centerY } )` } >
      
      	// background circle 
      	<circle
        	r = { centerY - strokeWidth / 2 }
        	fill = "yellow"
        	stroke = "black"
        	stroke-width = { strokeWidth }
      	/>
      
    	// left eye
    	<ellipse
      	cx = { -eyeOffsetX }
      	cy = { -eyeOffsetY }
      	rx = { eyeRadius }
        ry = { eyeRadius * 1.5 }
        fill = { backgroundEyeColor }
   	 	/>
      <circle
      	cx = { -eyeOffsetX }
      	cy = { -eyeOffsetY + 25 }
      	r = { eyeRadius / 1.5 }
				fill = { eyeColor }
   	 	/>
      <circle
      	cx = { -eyeOffsetX }
      	cy = { -eyeOffsetY }
      	r = { eyeRadius * 1.5 }
				fill = "none"
        stroke = "black"
        stroke-width = { strokeWidth }
   	 	/>
      
    	// right eye
    	<ellipse
      	cx = { eyeOffsetX }
      	cy = { -eyeOffsetY }
      	rx = { eyeRadius }
        ry = { eyeRadius * 1.5 }
        fill = { backgroundEyeColor }
    	/>
      <circle
      	cx = { eyeOffsetX }
      	cy = { -eyeOffsetY + 25 }
      	r = { eyeRadius / 1.5 }
				fill = { eyeColor }
   	 	/>
      <circle
      	cx = { eyeOffsetX }
      	cy = { -eyeOffsetY }
      	r = { eyeRadius * 1.5 }
				fill = "none"
        stroke = "black"
        stroke-width = { strokeWidth }
   	 	/>
      
      // glasses
      <path
        d = " M -22 -80 L 22 -80"
        stroke = "black"
        stroke-width = { strokeWidth + 5 }
        fill = "none"
      />
      <path
        d = " M -165 -80 L -220 -150"
        stroke = "black"
        stroke-width = { strokeWidth }
        fill = "none"
      />
      <path
        d = " M 165 -80 L 220 -150"
        stroke = "black"
        stroke-width = { strokeWidth }
        fill = "none"
      />
      
      // nose
      <path
        d = " M 0 -25 L 0 100 L 50 70"
        stroke = "black"
        stroke-width = { strokeWidth }
        fill = "none"
      />
    	<path d = { mouthArc( ) } />
    </g>
  </svg>
);

const rootElement = document.getElementById( 'root' );
ReactDOM.render( <App />, rootElement );